summaryrefslogtreecommitdiffstats
path: root/win/tools/.build_kdelibs_comon
diff options
context:
space:
mode:
Diffstat (limited to 'win/tools/.build_kdelibs_comon')
-rwxr-xr-xwin/tools/.build_kdelibs_comon14
1 files changed, 14 insertions, 0 deletions
diff --git a/win/tools/.build_kdelibs_comon b/win/tools/.build_kdelibs_comon
new file mode 100755
index 000000000..5ed09f724
--- /dev/null
+++ b/win/tools/.build_kdelibs_comon
@@ -0,0 +1,14 @@
+#!/bin/bash
+# compile entire kdelibs/win32 : common part for dbg and release target
+# (c) 2005, Jaroslaw Staniek, js@iidea.pl
+
+pwd=`pwd`
+if [ -n "$MSVC" ] ; then
+ make='nmake -nologo'
+elif [ -n "$BCB" ] ; then
+ #sometimes this could bmake (see qt3/free bootstrap)
+ make='make'
+else
+ echo "No compiler detected (MSVC or other)"
+ exit 1
+fi